
Foreman - Bug #13256

Revert i18n pin, allow 0.7.x

01/18/2016 04:26 AM - Dominic Cleal

Status: Closed   

Priority: Normal   

Assignee: Dominic Cleal   

Category: Packaging   

Target version: 1.11.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/3087

  

Description

The pin on the i18n gem in #8791 can be reverted, allowing i18n 0.7.0 (and therefore rails-i18n 4.0.6+ with newer translations) to be

installed.

It was pinned as older versions in use didn't have the enforce_available_locales setting and 0.7.0 defaulted it to true.  #7230 set

enforce_available_locales to false, but the pin wasn't lifted in the merged version.

Related issues:

Related to Foreman - Bug #8791: I18n::InvalidLocale: :en is not a valid locale Closed 12/24/2014

Associated revisions

Revision 22e6b4f5 - 01/19/2016 07:44 AM - Dominic Cleal

fixes #13256 - unpin i18n gem to get 0.7.x

Allows rails-i18n to be updated to the latest 4.0.x release.

Revision 5b3dd710 - 01/19/2016 10:38 AM - Dominic Cleal

refs #13256 - remove i18n pin

History

#1 - 01/18/2016 04:27 AM - Dominic Cleal

- Related to Bug #8791: I18n::InvalidLocale: :en is not a valid locale added

#2 - 01/18/2016 04:30 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/3087 added

#3 - 01/19/2016 08:02 AM - Dominic Cleal

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 22e6b4f5289e47d5fb48e9f5fb5690670e633c43.

#4 - 01/19/2016 08:19 AM - Dominic Cleal

- translation missing: en.field_release set to 71

Powered by TCPDF (www.tcpdf.org)

05/22/2024 1/1

https://projects.theforeman.org/issues/8791
https://projects.theforeman.org/issues/7230
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/22e6b4f5289e47d5fb48e9f5fb5690670e633c43
http://www.tcpdf.org

